FUNCTION::KERNEL_STR(3stap)

NAME
function::kernel_string - Retrieves string from kernel memory

SYNOPSIS

1) kernel_string:string(addr:long)

2) kernel_string:string(addr:long,err_msg:string)

ARGUMENTS

addr
    The kernel address to retrieve the string from

err_msg
    The error message to return when data isn't available

DESCRIPTION

1) This function returns the null terminated C string from a given kernel memory address. Reports an error on string copy fault.

2) This function returns the null terminated C string from a given kernel memory address. Reports the given error message on string copy fault.

SEE ALSO
tapset::conversions(3stap)